::visit Rootjunky.com

::Set our Window Title
@title Amazon Fire Tablet Tool

::Set our default parameters
@echo off
color 0b



:menuLOOP

	call:header
	::Print our header
	::call:header
	
	::Load up our menu selections
	echo.--------------------------------------------------------------------------------
	for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":menu_" "%~f0""') do echo.  %%B  %%C
	
	call:printstatus

	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to exit: ||GOTO:EOF
	echo.&call:menu_%choice%
	
GOTO:menuLOOP

:menu_1    ADB and Fastboot Driver Install Plus Test                 
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
echo [*] This option will run a program to get your adb drivers
echo [*] installed for your Amazon Fire Tablet exit program when done
echo.--------------------------------------------------------------------------------
echo.
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":driver_" "%~f0""') do echo.  %%B  %%C
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:driver_%choice%
color 0b	
cls
GOTO:EOF

:driver_1 ADB driver install
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] Before continuing, ensure USB debugging is enabled
echo [*] in your Amazon fire 5th gen settings 
echo [*] go to device options then click on serial number 7 times to enable 
echo [*] developer options then in developer options turn on Enable adb option.
echo [*] MAKES SURE YOUR ANTI VERUS IS OFF. 
echo.--------------------------------------------------------------------------------
echo [*] press any key to start adb driver install
pause >nul
echo.--------------------------------------------------------------------------------
start devmgmt.msc
echo [*] Device Manager should open up wait for it. 
echo [*] Find Amazon Fire and right click on it. 
echo [*] Select Properties then Update Driver 
echo [*] "Browse My Computer For Driver Software" 
echo [*] "Let Me Pick from a List of Device Drivers on my Computer
echo [*] choose Have Disk
echo [*] Browse to the usb_drivers fold that is in this tool
echo [*] then click Next NOTE drivers are not signed this is fine. 
echo [*] once installed ADB should find the Amazon Fire Tablet.
echo [*] NOTE you may have to use these same steps to install the fastboot drivers
echo.--------------------------------------------------------------------------------
echo [*] please run the driver test to make sure drivers work before installing apps
echo.--------------------------------------------------------------------------------
pause
cls
echo [*] If your drivers still do not install then please try running the 
echo [*] kindledriver.exe in the usb_driver folder. good luck
echo.--------------------------------------------------------------------------------
echo [*] RootJunky OUT
pause
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:driver_2 Fastboot driver install
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] Before continuing, ensure USB debugging is enabled
echo [*] in your Amazon fire 5th gen settings 
echo [*] go to device options then click on serial number 7 times to enable 
echo [*] developer options then in developer options turn on Enable adb option.
echo [*] MAKES SURE YOUR ANTI VERUS IS OFF. 
echo [*] Note if adb drivers arent installed then this will not work
echo.--------------------------------------------------------------------------------
echo [*] press any key to start fastboot driver install
pause >nul
echo.--------------------------------------------------------------------------------
echo [*] waiting for device
files\adb.exe wait-for-device
files\adb.exe reboot bootloader
start devmgmt.msc
echo [*] Device Manager should open up wait for it. 
echo [*] Find Amazon Fire and right click on it. 
echo [*] Select Properties then Update Driver 
echo [*] "Browse My Computer For Driver Software" 
echo [*] "Let Me Pick from a List of Device Drivers on my Computer
echo [*] choose Have Disk
echo [*] Browse to the usb_drivers fold that is in this tool
echo [*] then click Next NOTE drivers are not signed this is fine. 
echo [*] once installed fastboot should find the Amazon Fire Tablet.
echo.--------------------------------------------------------------------------------
echo [*] Note if you cant get your drivers install but are stuck in 
echo [*] fastboot mode just hold power and volume down until the device reboots
echo.--------------------------------------------------------------------------------
echo [*] please run the driver test to make sure drivers work before installing apps
echo.--------------------------------------------------------------------------------
pause
cls
echo [*] If your drivers still do not install then please try running the 
echo [*] kindledriver.exe in the usb_driver folder. good luck
echo.--------------------------------------------------------------------------------
echo [*] RootJunky OUT
pause
files\fastboot.exe reboot
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:driver_3  ADB & Fastboot Driver Test
cls
color 0b
echo [*] Press any key to check if your drivers are installed
echo [*] correctly. 
echo.--------------------------------------------------------------------------------
pause > nul
echo.--------------------------------------------------------------------------------
echo [*] Is there a device listed under list of devices attached?
echo [*] IF no then reboot computer and run the driver install option 
echo [*] again then recheck
echo [*] press any key to continue
echo.--------------------------------------------------------------------------------
files\adb.exe devices
pause > nul
files\adb.exe reboot bootloader
echo.--------------------------------------------------------------------------------
echo [*] Once the screen is black and says fastboot in the corner
echo [*] press and key to continue the script.
echo.--------------------------------------------------------------------------------
pause > nul
echo.--------------------------------------------------------------------------------
echo [*] If you see a number with Fastboot after it your drivers are good
echo [*] IF no then open device manager and install fastboot drivers
echo.--------------------------------------------------------------------------------
files\fastboot.exe devices
echo.--------------------------------------------------------------------------------
echo [*] press any key to reboot device
echo [*] if your device doesnt reboot then close script and run the driver
echo [*] install option again to install fastboot drivers.
echo [*} Or hold POWER AND VOLUME DOWN UNTIL THE DEVICES REBOOTS
echo.--------------------------------------------------------------------------------
pause > nul
files\fastboot.exe reboot
echo [*] RootJunky OUT
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:menu_2 Install Google Play store
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
echo First you must turn on ADB DEBUGGING in your Amazon fire 5th gen settings 
echo go to device options then click on serial number 7 times to enable 
echo developer options then in developer options turn on Enable adb option.
echo also make sure your drivers are installed 
echo.--------------------------------------------------------------------------------
pause
cls
files\adb.exe wait-for-device
echo [*] Installing Google Play Store apps this will take some time
echo.--------------------------------------------------------------------------------
echo [*] Installing app 1 of 4
files\adb.exe install -r com.google.android.gms-6.6.03_(1681564-036)-6603036-minAPI9.apk
echo.--------------------------------------------------------------------------------
echo [*] Installing app 2 of 4
files\adb.exe install -r GoogleLoginService.apk
echo.--------------------------------------------------------------------------------
echo [*] Installing app 3 of 4
files\adb.exe install -r GoogleServicesFramework.apk
files\adb.exe shell pm grant com.google.android.gms android.permission.INTERACT_ACROSS_USERS
echo.--------------------------------------------------------------------------------
echo [*] Installing app 4 of 4
files\adb.exe install -r com.android.vending-5.9.12-80391200-minAPI9.apk
echo [*] all apps installed and permissions set.
echo [*] please reboot device to finish the process then sign into Play store
echo.--------------------------------------------------------------------------------
files\adb.exe kill-server
pause
color 0b	
cls
GOTO:EOF


:menu_3 block OTA updates from Amazon 5.0.1
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
echo First you must turn on ADB DEBUGGING in your Amazon fire 5th gen settings 
echo go to device options then click on serial number 7 times to enable 
echo developer options then in developer options turn on Enable adb option.
echo also make sure your drivers are installed 
echo.--------------------------------------------------------------------------------
pause
cls
files\adb.exe wait-for-device
files\adb.exe shell pm hide com.amazon.otaverifier
files\adb.exe shell pm hide com.amazon.device.software.ota
files\adb.exe shell pm hide com.amazon.settings.systemupdates
echo.--------------------------------------------------------------------------------
echo [*] OTA update have now been blocked to protect root
echo [*] and keep Amazon from patching our exploits 
echo.--------------------------------------------------------------------------------
files\adb.exe kill-server
pause
color 0b	
cls
GOTO:EOF


:menu_4 block OTA updates from Amazon on 5.1.1
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
echo NOTE Root is required for this to work.
echo First you must turn on ADB DEBUGGING in your Amazon fire 5th gen settings 
echo go to device options then click on serial number 7 times to enable 
echo developer options then in developer options turn on Enable adb option.
echo also make sure your drivers are installed 
echo.--------------------------------------------------------------------------------
pause
cls
files\adb.exe wait-for-device
echo.--------------------------------------------------------------------------------
echo [*] grant root access on your device to adb shell
echo.--------------------------------------------------------------------------------
files\adb.exe shell su -c "chmod 777 /cache"
timeout 10 > nul
files\adb.exe shell su -c "pm disable com.amazon.otaverifier"
files\adb.exe shell su -c "pm disable com.amazon.device.software.ota"
files\adb.exe shell su -c "pm disable com.amazon.settings.systemupdates"
echo.--------------------------------------------------------------------------------
echo [*] OTA update have now been blocked
echo.--------------------------------------------------------------------------------
files\adb.exe kill-server
pause
color 0b	
cls
GOTO:EOF


:menu_5 Boot device to TWRP Recovery from ADB fire os 5.0.1 or below
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
echo This Doesnt work on Amazon Fire OS 5.1.1 bootloader has been locked
echo First you must turn on ADB DEBUGGING in your Amazon fire 5th gen settings 
echo go to device options then click on serial number 7 times to enable 
echo developer options then in developer options turn on Enable adb option.
echo also make sure your drivers are installed 
echo.--------------------------------------------------------------------------------
pause
cls
files\adb.exe wait-for-device
files\adb.exe reboot bootloader
cls
echo.--------------------------------------------------------------------------------
echo [*] NOTE this will not work unless your fastboot drivers are installed
echo [*] see option 1 ADB Driver install.
echo [*] Once the screen is black and says fastboot in the corner
echo [*] press and key to continue the script.
echo.--------------------------------------------------------------------------------
pause > nul
files\fastboot.exe boot TWRP_Fire_2.8.7.0.img
echo.--------------------------------------------------------------------------------
echo [*] TWRP Recovery is booting please wait.
echo.--------------------------------------------------------------------------------
files\adb.exe kill-server
pause
color 0b	
cls
GOTO:EOF


:menu_6 Boot device to CM Recovery from ADB fire os 5.0.1 or below
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
echo This Doesnt work on Amazon Fire OS 5.1.1 bootloader has been locked
echo First you must turn on ADB DEBUGGING in your Amazon fire 5th gen settings 
echo go to device options then click on serial number 7 times to enable 
echo developer options then in developer options turn on Enable adb option.
echo also make sure your drivers are installed 
echo.--------------------------------------------------------------------------------
pause
cls
files\adb.exe wait-for-device
files\adb.exe reboot bootloader
cls
echo.--------------------------------------------------------------------------------
echo [*] NOTE this will not work unless your fastboot drivers are installed
echo [*] see option 1 ADB Driver install.
echo [*] Once the screen is black and says fastboot in the corner
echo [*] press and key to continue the script.
echo.--------------------------------------------------------------------------------
pause > nul
files\fastboot.exe boot cm-12-recovery.img
echo.--------------------------------------------------------------------------------
echo [*] CM Recovery is booting please wait.
echo.--------------------------------------------------------------------------------
files\adb.exe kill-server
pause
color 0b	
cls
GOTO:EOF


:menu_7 Root your Amazon Fire 5th gen         
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
echo [*] Please select your Fire OS version to root. Then the script
echo [*] will walk you through the process to Root your Amazon Fire 5th gen
echo.--------------------------------------------------------------------------------
echo.
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":root_" "%~f0""') do echo.  %%B  %%C
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:root_%choice%
color 0b	
cls
GOTO:EOF

:root_1 Root Fire OS 5.0.1 and below
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
echo [*] This Doesnt work on Amazon Fire OS 5.1.1 bootloader has been locked
echo [*] Big thanks to ChainFire for supersu app
echo [*] Make sure USB Debugging is enabled on your tablet
echo [*] this will push Supersu and then temp boot into recovery.
echo [*] you will keep stock android recovery
echo.--------------------------------------------------------------------------------
echo [*] press any key to start
pause > nul
echo [*]
echo [*] waiting for device
files\adb.exe wait-for-device
files\adb.exe push SuperSU-v2.46.zip /sdcard/
echo.--------------------------------------------------------------------------------
echo [*] supersu is pushed to device 
echo.--------------------------------------------------------------------------------
echo [*] press any key to reboot to recovery
pause > nul
files\adb.exe reboot bootloader
timeout 8 > nul
files\fastboot.exe boot TWRP_Fire_2.8.7.0.img
echo.--------------------------------------------------------------------------------
echo [*] once TWRP recovery Boots up swipe to allow modifications
echo [*] then select install and navigate to SuperSU-v2.46.zip on the sdcard
echo [*] select it then swipe to flash once finished select reboot system
echo.--------------------------------------------------------------------------------
echo [*] When the device has fully booted up you will have root access. 
echo [*] check in the app drawer for supersu app. 
echo [*] NOTE now that you have root please block ota updates option 3 
echo [*] so that you can keep it safe. 
echo.--------------------------------------------------------------------------------
echo [*] Press any key to finish this script. ROOTJUNKY OUT
pause > nul
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF

:root_2  Root Fire OS 5.1.1
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
echo [*] Big thanks to k4y0z from XDA 
echo [*] Make sure USB Debugging is enabled on your tablet
echo [*] this tool will boot you into fastboot and root your device.
echo [*] device will reboot a couple times during this process.
echo.--------------------------------------------------------------------------------
echo press a key to reboot the device in fastboot mode
pause > nul
files\adb.exe reboot bootloader
cls
echo.--------------------------------------------------------------------------------
echo [*] NOTE this will not work unless your fastboot drivers are installed
echo [*] see option 1 ADB Driver install.
echo [*] Once the screen is black and says fastboot in the corner
echo [*] press and key to continue the script.
echo.--------------------------------------------------------------------------------
pause > nul
files\fastboot.exe oem append-cmdline "androidboot.unlocked_kernel=true"
timeout 8 > nul
files\fastboot.exe continue
echo.--------------------------------------------------------------------------------
echo [*] your device is rebooting and will inject root files.
echo.--------------------------------------------------------------------------------
timeout 5 > nul
files\adb.exe wait-for-device && files\adb.exe remount
files\adb.exe push files\libsupol.so /data/local/tmp/
files\adb.exe push files\root_fire.sh /data/local/tmp/
files\adb.exe push files\su /data/local/tmp/
files\adb.exe push files\Superuser.apk /data/local/tmp/
files\adb.exe push files\supolicy /data/local/tmp/
files\adb.exe shell chmod 777 /data/local/tmp/root_fire.sh
files\adb.exe shell /data/local/tmp/root_fire.sh
echo.--------------------------------------------------------------------------------
echo [*] Once the screen is black and says fastboot in the corner
echo [*] press and key to continue the script.
echo.--------------------------------------------------------------------------------
pause > nul
files\fastboot.exe oem append-cmdline "androidboot.unlocked_kernel=true"
timeout 8 > nul
files\fastboot.exe continue
echo.--------------------------------------------------------------------------------
echo [*] your device is rebooting and will finish the root process.
echo.--------------------------------------------------------------------------------
timeout 5 > nul
files\adb.exe wait-for-device && files\adb.exe remount
files\adb.exe shell /system/xbin/su --install
echo.--------------------------------------------------------------------------------
echo [*] one last reboot to finish process
echo.--------------------------------------------------------------------------------
files\adb.exe reboot
echo.--------------------------------------------------------------------------------
echo [*] process finished now just wait for your device to fully boot up
echo [*] this will take some time if you are on the Optimizing system screen.
echo [*] NOTE now that you have root please block ota updates option 4 
echo [*] so that you can keep it safe. 
echo.--------------------------------------------------------------------------------
pause
files\adb.exe kill-server
echo [*] RootJunky OUT
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:EOF


:menu_8 Change Stock launcher to Nova launcher or back        
cls
color 0b
echo.--------------------------------------------------------------------------------
echo [*] Please select what you want to do.
echo.--------------------------------------------------------------------------------
echo.
for /f "tokens=1,2,* delims=_ " %%A in ('"C:/Windows/system32/findstr.exe /b /c:":launcher_" "%~f0""') do echo.  %%B  %%C
	set choice=
	echo.&set /p choice= Please make a selection then hit ENTER:
	echo.&call:launcher_%choice%
color 0b	
cls
GOTO:EOF


:launcher_1 Replace Amazon Fire Launcher with Nova Launcher  
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.-------------------------------------------------------------------------------- 
echo [*] Make sure USB Debugging is enabled on your tablet
echo [*] this will install Nova Launcher and delete the stock launcher
echo.--------------------------------------------------------------------------------
echo [*] press any key to start
pause > nul
echo [*] waiting for device
files\adb.exe wait-for-device
echo.--------------------------------------------------------------------------------
echo [*] rebooting to bootloader
echo.--------------------------------------------------------------------------------
files\adb.exe reboot bootloader
cls
echo.--------------------------------------------------------------------------------
echo [*] NOTE this will not work unless your fastboot drivers are installed
echo [*] see option 1 ADB Driver install.
echo [*] Once the screen is black and says fastboot in the corner
echo [*] press and key to continue the script.
echo.--------------------------------------------------------------------------------
pause > nul
files\fastboot.exe oem append-cmdline "androidboot.unlocked_kernel=true"
timeout 8 > nul
files\fastboot.exe continue
timeout 5 > nul
echo.--------------------------------------------------------------------------------
echo [*] rebooting device now.
echo.--------------------------------------------------------------------------------
files\adb.exe wait-for-device && files\adb.exe remount
echo.--------------------------------------------------------------------------------
echo [*] Installing Nova Launcher
echo.--------------------------------------------------------------------------------
files\adb.exe push NovaLauncher_4.2.0.apk /data/local/tmp/
timeout 10 > nul
files\adb.exe shell "cp /data/local/tmp/NovaLauncher_4.2.0.apk /system/priv-app/NovaLauncher_4.2.0.apk"
files\adb.exe shell "cp /system/priv-app/com.amazon.firelauncher/com.amazon.firelauncher.apk /sdcard/com.amazon.firelauncher.apk"
files\adb.exe shell "rm /system/priv-app/com.amazon.firelauncher/com.amazon.firelauncher.apk"
echo.--------------------------------------------------------------------------------
echo [*] Stock Amazon launcher has been backed up to your sdcard.
echo [*] Nova Launcher is Installed device will reboot to finish.
echo.--------------------------------------------------------------------------------
pause
files\adb.exe reboot
echo.--------------------------------------------------------------------------------
echo [*] Press any key to finish this script. ROOTJUNKY OUT
pause > nul
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
cls	
GOTO:EOF

:launcher_2 Restore Amazon Fire Launcher and Remove Nova Launcher 
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.-------------------------------------------------------------------------------- 
echo [*] Make sure USB Debugging is enabled on your tablet
echo [*] this will uninstall Nova Launcher and restore the stock fire launcher
echo.--------------------------------------------------------------------------------
echo [*] press any key to start
pause > nul
echo [*] waiting for device
files\adb.exe wait-for-device
echo.--------------------------------------------------------------------------------
echo [*] rebooting to bootloader
echo.--------------------------------------------------------------------------------
files\adb.exe reboot bootloader
cls
echo.--------------------------------------------------------------------------------
echo [*] NOTE this will not work unless your fastboot drivers are installed
echo [*] see option 1 ADB Driver install.
echo [*] Once the screen is black and says fastboot in the corner
echo [*] press and key to continue the script.
echo.--------------------------------------------------------------------------------
pause > nul
files\fastboot.exe oem append-cmdline "androidboot.unlocked_kernel=true"
timeout 8 > nul
files\fastboot.exe continue
timeout 5 > nul
echo.--------------------------------------------------------------------------------
echo [*] rebooting device now.
echo.--------------------------------------------------------------------------------
files\adb.exe wait-for-device && files\adb.exe remount
echo.--------------------------------------------------------------------------------
echo [*] Installing stock Fire Launcher
echo.--------------------------------------------------------------------------------
files\adb.exe push com.amazon.firelauncher.apk /data/local/tmp/
files\adb.exe shell "chmod 644 /data/local/tmp/com.amazon.firelauncher.apk"
timeout 10 > nul
files\adb.exe shell "cp /data/local/tmp/com.amazon.firelauncher.apk /system/priv-app/com.amazon.firelauncher/com.amazon.firelauncher.apk"
files\adb.exe shell "cp /system/priv-app/NovaLauncher_4.2.0.apk /sdcard/NovaLauncher_4.2.0.apk"
files\adb.exe shell "rm /system/priv-app/NovaLauncher_4.2.0.apk"
echo.--------------------------------------------------------------------------------
echo [*] Nova launcher has been backed up to your sdcard.
echo [*] stock Fire Launcher is Installed device will reboot to finish.
echo.--------------------------------------------------------------------------------
pause
files\adb.exe reboot
echo.--------------------------------------------------------------------------------
echo [*] Press any key to finish this script. ROOTJUNKY OUT
pause > nul
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
cls	
GOTO:EOF


:menu_9 remove lock screen ads   
cls
color 0b
files\adb.exe kill-server
files\adb.exe start-server
echo.-------------------------------------------------------------------------------- 
echo [*] Make sure USB Debugging is enabled on your tablet
echo [*] this will remove ads from your lock screen.
echo.--------------------------------------------------------------------------------
echo [*] press any key to start
pause > nul
echo [*] waiting for device
files\adb.exe wait-for-device
echo.--------------------------------------------------------------------------------
echo [*] rebooting to bootloader
echo.--------------------------------------------------------------------------------
files\adb.exe reboot bootloader
cls
echo.--------------------------------------------------------------------------------
echo [*] NOTE this will not work unless your fastboot drivers are installed
echo [*] see option 1 ADB Driver install.
echo [*] Once the screen is black and says fastboot in the corner
echo [*] press and key to continue the script.
echo.--------------------------------------------------------------------------------
pause > nul
files\fastboot.exe oem append-cmdline "androidboot.unlocked_kernel=true"
timeout 8 > nul
files\fastboot.exe continue
timeout 5 > nul
echo [*]rebooting device now.
files\adb.exe wait-for-device && files\adb.exe remount
echo.--------------------------------------------------------------------------------
echo [*] removing ads now
echo.--------------------------------------------------------------------------------
files\adb.exe shell "pm hide com.amazon.kindle.kso"
echo.--------------------------------------------------------------------------------
echo [*] device will now reboot to finish removal of ads
echo.--------------------------------------------------------------------------------
pause
files\adb.exe reboot
echo.--------------------------------------------------------------------------------
echo [*] Press any key to finish this script. ROOTJUNKY OUT
pause > nul
	set choice=
	echo.&set /p choice= hit ENTER to return to start: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
cls	
GOTO:EOF


:header  
cls        
color 0e
echo.[////////////////////////////      //////////            //////////////////////]                                                                           
echo.[///////////////////////////  ///   //////////////  ///////////////////////////]                                                                            
echo.[//////////////////////////  ////  //////////////  ////////////////////////////]                                                                    
echo.[/////////////////////////  //   ///////////////  /////////////////////////////]                                       
echo.[////////////////////////  ////  /////////  ///  //////////////////////////////]                                  
echo.[///////////////////////  //////  /////////    ////////////////////////////////]
echo.              RootJunkys Amazon Fire 5th gen 7in Tablet SuperTool
echo.             Huge thanks to SD-Shadow for his work on this device.
echo.--------------------------------------------------------------------------------
echo.
files\adb.exe kill-server
files\adb.exe start-server
echo.--------------------------------------------------------------------------------
files\adb.exe devices
timeout 5 > nul
files\fastboot.exe devices
timeout 3 > nul
files\adb.exe kill-server
cls	
color 0b
GOTO:EOF

:printstatus
echo.
echo. Lets Do This...
echo.--------------------------------------------------------------------------------
GOTO:EOF

